Information
The topic you requested is included in another documentation set. For convenience, it's displayed below. Choose Switch to see the topic in its original location.

MMC 3.0 and CLR 4.0 Support

 

Updated: June 7, 2016

Applies To: Windows 10, Windows 7, Windows 8, Windows 8.1, Windows Server 2008, Windows Server 2008 R2, Windows Server 2012, Windows Server 2012 R2, Windows Server Technical Preview, Windows Vista

This topic describes how Microsoft Management Console (MMC) 3.0 works with the Common Language Runtime (CLR) 4.0.

  • There is no side-by-side support of more than one version of CLR within a single instance of MMC.

  • In Windows 7, Windows Server 2008 R2, and earlier releases of the Windows operating system, MMC uses CLR 2.0 by default, but you can specify CLR 4.0 for a specific console. For more information about and sample lines of code for the configuration file that lets you specify a different version of CLR, see Activation Configuration Files.

Each console session can use only one version of the CLR. You cannot run MMC with more than one CLR version.

If a console is using CLR 2.0, and a user tries to add or run a snap-in that uses CLR 4.0, MMC displays an error message, and the CLR 4.0 snap-in cannot be loaded. MMC does not close or fail; however, users can continue to run the console without the CLR 4.0 snap-in.

Users can add a CLR 2.0 snap-in to a console that is using CLR 4.0; the snap-in runs in CLR 4.0. Snap-ins that are compatible with CLR 4.0 are expected to work without issues based on CLR backward compatibility support.

Show: